<?php
defined('APP') or die('Hacking attemp!');
class Controller_Member extends Core_Controller{
	private $UserLogin;
	private $HolidaysInWeek;
	public function __construct(){
		parent::__construct();
		if(!isset($_SESSION['uid'])){
			header('Location: '.BASE_URL.'?index&login');
			return;
			}
		parent::loadModel('user');
		$this->user->setId($_SESSION['uid']);
		$this->UserLogin = $this->user->getUser();
		$this->settings->CalendarId = $this->UserLogin->getCalendarId();
		parent::loadModel('schedule');
		$this->schedule->setId($this->UserLogin->getScheduleId());
		$this->HolidaysInWeek = $this->schedule->getHolidaysInWeek();
		$this->view->settings = $this->settings;
		}
    public function indexAction($param){
		$this->view->user = $this->UserLogin;
		$this->view->title = 'Bookings - '.$this->UserLogin->getFullName().' - '.$this->settings->SiteName;
		$this->view->settings = $this->settings;
		parent::loadModel('timeofftype');
		$this->view->timeoff = $this->timeofftype->getTimeoffType();
		$this->view->maxalow = $this->timeofftype->getTotalAlowDays();
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
		$this->booktimeoff->setUserId($_SESSION['uid']);
		$this->booktimeoff->setCalendarId($this->settings->CalendarId);
		$config['lastpage'] = $this->settings->LastPage;
			$config['firstpage'] = $this->settings->FirstPage;
			$config['showeachside'] = $this->settings->ShowEachSide;
			$config['per_page'] = $this->settings->RecordsPerPage;
			$config['js_numrows_page'] = count($this->booktimeoff->getBookTimeOffForMember(date('Y'), ''));
			$config['curpage'] = array_key_exists('p',$param)?$param['p']:1;
			$config['rs_start'] = ($config['curpage']*$config['per_page'])-$config['per_page'];
			if($config['js_numrows_page'] < $config['per_page'])
				$config['per_page'] = $config['js_numrows_page'];
			if(array_key_exists('p',$param))
				unset($param['p']);
			$strquery = '';
			foreach($param as $kp =>$vp)
				$strquery .= '&'.$kp.'='.$vp;
			$config['cururl'] = BASE_URL.'?member'.$strquery;
			$this->view->ttpage = $this->ThePaging($config);
		$limit = ' limit '.$config['rs_start'].', '.$config['per_page'];
		$this->view->listoff = $this->booktimeoff->getBookTimeOffForMember(date('Y'), $limit);
		$this->booktimeoff->setStatus(2);
		$this->view->ttapproved = $this->booktimeoff->getBookTimeOffForMember(date('Y'), '');
		$this->booktimeoff->setStatus(3);
		$this->view->ttwaiting = $this->booktimeoff->getBookTimeOffForMember(date('Y'), '');
		$this->booktimeoff->setStatus(4);
		$this->view->ttrejected = $this->booktimeoff->getBookTimeOffForMember(date('Y'), '');
		$this->view->ttrequest = $this->booktimeoff->getTotalBookTimeUserVationType(date('Y'));
		$this->view->minyear = $this->booktimeoff->getYear('min');
		$this->view->maxyear = $this->booktimeoff->getYear('max');
		$this->view->render('members/home');
    	}
	public function addbookAction(array $param){
		$this->UserLogin->setSupervisor($this->UserLogin->getSupervisor());
		$supid = $this->UserLogin->getSupervisor();
		$this->view->supervisor = $this->UserLogin->getApproverName();
		$visormail = $this->UserLogin->getEmailApprover();
		parent::loadModel('timeofftype');
		if($_SERVER['REQUEST_METHOD']=='POST'){
			if($_POST['starttype']==3 && (!isset($_POST['starthour']) || urldecode(trim($_POST['starthour']))=='')){
				echo json_encode(array('rs'=>-1, 'mess'=>'Start hours is a required field'));
				return;
				}
			elseif($_POST['endtype']==3 && (!isset($_POST['endhour']) || urldecode(trim($_POST['endhour']))=='')){
				echo json_encode(array('rs'=>-2, 'mess'=>'End hours is a required field'));
				return;
				}
			else{
				parent::loadModel('booktimeoff');
				$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
				$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
				$this->booktimeoff->setCalendarId($this->UserLogin->getCalendarId());
				if(!$this->booktimeoff->chkAvalidDate($_POST['startd'], $_POST['endd'])){
					echo json_encode(array('rs'=>-3, 'mess'=>'The date you selected in company holidays or you not working or invalid'));
					return;
					}
				if($_POST['starttype']==1){
					$start_time = 'NULL';
					$start_hour = '0.00';
					}
				else{
					$start_time = '\''.addslashes(urldecode($_POST['starttime'])).'\'';
					$start_hour = (float)urldecode($_POST['starthour']);
					}
				if($_POST['endtype']==1){
					$end_time = 'NULL';
					$end_hour = '0.00';
					}
				else{
					$end_time = '\''.addslashes(urldecode($_POST['endtime'])).'\'';
					$end_hour = (float)urldecode($_POST['endhour']);
					}
				$strrandom = $this->random_string(32);
				$strrandom[mt_rand(0,31)] = $_SESSION['uid'];
				$data = array('UserId'=>$_SESSION['uid'], 'Type'=>$_POST['vationtype'], 'StartDate'=>'\''.addslashes(urldecode($_POST['startd'])).'\'', 'EndDate'=>'\''.addslashes(urldecode($_POST['endd'])).'\'', 'StartType'=>$_POST['starttype'], 'StartHours'=>'\''.$start_hour.'\'', 'StartTime'=>$start_time, 'EndType'=>$_POST['endtype'], 'EndHours'=>'\''.$end_hour.'\'', 'EndTime'=>$end_time, 'AdditionDetails'=>'\''.addslashes(urldecode($_POST['addition'])).'\'', 'Status'=>3, 'CreatedDate'=>'\''.date('Y-m-d H:i:s').'\'', 'LastUpdate'=>'\''.date('Y-m-d H:i:s').'\'', 'StrApprove'=>'\''.sha1($strrandom).'\'');
				if($this->booktimeoff->commitObject($data)>0){
					parent::loadModel('notifications');
					$this->notifications->setId(5);
					$notify = $this->notifications->getObjNotify();
					$this->timeofftype->setId($_POST['vationtype']);
					$timeoff = $this->timeofftype->getTimeoffType();
					$strurl = ($supid==1)?'?admincp&approvalbooking':'?timeoffbook&bookapprove&key='.sha1($strrandom);
					$row = (object)array('StartDate'=>$_POST['startd'], 'EndDate'=>$_POST['endd'],'StartType'=>$_POST['starttype'],'EndType'=>$_POST['endtype'],'StartHours'=>(float)urldecode($_POST['starthour']),'EndHours'=>(float)urldecode($_POST['endhour']));
					$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$TIMEOFFDAYSREQUESTED','$URL');
					$arr_to = array($this->UserLogin->getFullName(),$timeoff->getTimeOffName(),$_POST['startd'],$_POST['endd'],urldecode($_POST['addition']),$this->booktimeoff->__caculationDays($row),BASE_URL.$strurl);
					$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
					@mail(trim($visormail), '=?UTF-8?B?'.base64_encode(strtr($notify->getSubject(), '$FULLNAME', $this->UserLogin->getFullName()).' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
					if($this->UserLogin->getBookingNew()==1){
						$this->notifications->setId(6);
						$notify = $this->notifications->getObjNotify();
						$row = array('StartDate'=>$_POST['startd'], 'EndDate'=>$_POST['endd'],'StartType'=>$_POST['starttype'],'EndType'=>$_POST['endtype'],'StartHours'=>(float)urldecode($_POST['starthour']),'EndHours'=>(float)urldecode($_POST['endhour']));
						
						$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$TIMEOFFDAYSREQUESTED','$URL');
						$arr_to = array($this->UserLogin->getFullName(),$timeoff->getTimeOffName(),$_POST['startd'],$_POST['endd'],urldecode($_POST['addition']),$this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
						$umess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						@mail(trim($this->UserLogin->getEmail()), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $umess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						}
					echo json_encode(array('rs'=>1, 'mess'=>''));
					return;
					}
				else{
					echo json_encode(array('rs'=>0, 'mess'=>'An error occurred, please try again'));
					return;
					}
				}
			}
		$this->view->typeoff = $this->timeofftype->getTimeoffType();
		parent::loadModel('daytype');
		$this->view->typeday = $this->daytype->getDayType();
		$this->view->curdate = $param['day'];
		$this->view->addbooktype = $param['at'];
        $this->view->render('members/addbook');
    	}
	public function mybookAction(array $param){
		if(!array_key_exists('id', $param)){
			echo 'Your bad URL !';
			return;
			}
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
		$this->booktimeoff->setId($param['id']);
		$this->booktimeoff->setUserId($param['u']);
		$this->booktimeoff->setCalendarId($this->settings->CalendarId);
		$booktime = $this->booktimeoff->getBookTimeOff();
		$this->view->timeof = $this->booktimeoff->getBookToView();
		$this->booktimeoff->setType($booktime->getType());
		$this->view->requested = $this->booktimeoff->getTotalBookTimeUserVationType($param['y']);
		parent::loadModel('timeofftype');
		$this->timeofftype->setId($booktime->getType());
		$timeoff = $this->timeofftype->getTimeoffType();
		$this->view->ttAlow = $timeoff->getAlowDays();
		$this->view->remaining = $timeoff->getAlowDays() - $this->booktimeoff->getTotalBookTimeUserVationType($param['y']);
		$this->view->bookid = $param['id'];
		$this->view->render('members/mybook');
		}
	public function loadremainAction(array $param){
		if(!isset($_SESSION['uid'])){
			echo json_encode(array('status'=>-1, 'mess'=>'Please login'));
			return;
			}
		if(!array_key_exists('vid', $param) || !array_key_exists('st', $param)){
			echo json_encode(array('status'=>-1, 'mess'=>'Your bad URL'));
			return;
			}
		parent::loadModel('timeofftype');
		$this->timeofftype->setId($param['vid']);
		$alowdays = $this->timeofftype->getTotalAlowDays();
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
		$this->booktimeoff->setUserId($_SESSION['uid']);
		$this->booktimeoff->setType($param['vid']);
		$this->booktimeoff->setCalendarId($this->settings->CalendarId);
		$requested = $this->booktimeoff->getTotalRequestedUserVacation($param['y']);
		$this->booktimeoff->setStatus($param['st']);
		$allrequest = count($this->booktimeoff->getBookTimeOffForMember($param['y'], ''));
		$this->booktimeoff->setStatus(2);
		$ttappr = count($this->booktimeoff->getBookTimeOffForMember($param['y'], ''));
		$this->booktimeoff->setStatus(3);
		$ttwaiting = count($this->booktimeoff->getBookTimeOffForMember($param['y'], ''));
		$this->booktimeoff->setStatus(4);
		$ttrejected = count($this->booktimeoff->getBookTimeOffForMember($param['y'], ''));
		echo json_encode(array('status'=>1, 'alowdays'=>$alowdays, 'requested'=>$requested, 'allrequest'=>$allrequest, 'ttappr'=>$ttappr, 'ttwaiting'=>$ttwaiting, 'ttrejected'=>$ttrejected));
		return;
    	}
	public function reloadlistrequestedAction(array $param){
		if(!isset($_SESSION['uid'])){
			echo 'Your bad URL';
			return;
			}
		if(!array_key_exists('vid', $param) || !array_key_exists('st', $param)){
			echo 'Your bad URL';
			return;
			}
		$this->view->user = $this->UserLogin;
		parent::loadModel('timeofftype');
		$this->view->maxalow = $this->timeofftype->getTotalAlowDays();
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
		$this->booktimeoff->setCalendarId($this->settings->CalendarId);
		$this->booktimeoff->setUserId($_SESSION['uid']);
		$this->booktimeoff->setType($param['vid']);
		$this->booktimeoff->setStatus($param['st']);
		$config['lastpage'] = $this->settings->LastPage;
			$config['firstpage'] = $this->settings->FirstPage;
			$config['showeachside'] = $this->settings->ShowEachSide;
			$config['per_page'] = $this->settings->RecordsPerPage;
			$config['js_numrows_page'] = count($this->booktimeoff->getBookTimeOffForMember($param['y'], ''));
			$config['curpage'] = array_key_exists('p',$param)?$param['p']:1;
			$config['rs_start'] = ($config['curpage']*$config['per_page'])-$config['per_page'];
			if($config['js_numrows_page'] < $config['per_page'])
				$config['per_page'] = $config['js_numrows_page'];
			if(array_key_exists('p',$param))
				unset($param['p']);
			$strquery = '';
			foreach($param as $kp =>$vp)
				$strquery .= '&'.$kp.'='.$vp;
			$config['cururl'] = BASE_URL.'?member'.$strquery;
			$this->view->ttpage = $this->ThePaging($config);
		$limit = ' limit '.$config['rs_start'].', '.$config['per_page'];
		$this->view->listoff = $this->booktimeoff->getBookTimeOffForMember($param['y'], $limit);
		$this->view->render('members/reloadlistrequested');
    	}
	public function delbookAction(array $param){
		if(!isset($_SESSION['uid'])){
			echo json_encode(array('status'=>-1, 'mess'=>'Please login'));
			return;
			}
		if(!array_key_exists('id', $param)){
			echo json_encode(array('status'=>-1, 'mess'=>'Your bad URL'));
			return;
			}
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
		$this->booktimeoff->setId($param['id']);
		$this->booktimeoff->setUserId($_SESSION['uid']);
		$dt = $this->booktimeoff->getBookToView();
		if($this->booktimeoff->DeleteBookByUser()>0){
			$this->user->setSupervisor($this->UserLogin->getSupervisor());
			$supmail = $this->user->getEmailApprover();
			parent::loadModel('notifications');
			$this->notifications->setId(2);
			$notify = $this->notifications->getObjNotify();
			$row = (object)array('StartDate'=>$dt->StartDate, 'EndDate'=>$dt->EndDate,'StartType'=>$dt->StartType,'EndType'=>$dt->EndType,'StartHours'=>$dt->StartHours,'EndHours'=>$dt->EndHours);
			$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$COMMENT','$TIMEOFFDAYSREQUESTED','$URL');
			$arr_to = array($this->UserLogin->getFullName(),$dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,'Deleted by user', $this->booktimeoff->__caculationDays($row),BASE_URL.'?timeoffbook');
			$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
			@mail(trim($supmail), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
			if($this->UserLogin->getBookingDeleted()==1){
				$this->notifications->setId(2);
				$notify = $this->notifications->getObjNotify();
				$row = (object)array('StartDate'=>$dt->StartDate, 'EndDate'=>$dt->EndDate,'StartType'=>$dt->StartType,'EndType'=>$dt->EndType,'StartHours'=>$dt->StartHours,'EndHours'=>$dt->EndHours);
				$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$COMMENT','$TIMEOFFDAYSREQUESTED','$URL');
				$arr_to = array($this->UserLogin->getFullName(),$dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,'Deleted by Yourself', $this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
				$umess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
				@mail(trim($this->UserLogin->getEmail()), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $umess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
				}
			echo json_encode(array('status'=>1, 'mess'=>''));
			return;
			}
		else{
			echo json_encode(array('status'=>-1, 'mess'=>'An error occurred, please try again'));
			return;
			}
		}
	public function editbookAction(array $param){
		if($_SERVER['REQUEST_METHOD']=='POST' && isset($_POST['btsmedit'])){
			if($_POST['starttype']==3 && (!isset($_POST['starthour']) || urldecode(trim($_POST['starthour']))=='')){
				echo json_encode(array('rs'=>-1, 'mess'=>'Start hours is a required field'));
				return;
				}
			elseif($_POST['endtype']==3 && (!isset($_POST['endhour']) || urldecode(trim($_POST['endhour']))=='')){
				echo json_encode(array('rs'=>-2, 'mess'=>'End hours is a required field'));
				return;
				}
			else{
				parent::loadModel('booktimeoff');
				$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
				$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
				$this->booktimeoff->setCalendarId($this->UserLogin->getCalendarId());
				if(!$this->booktimeoff->chkAvalidDate($_POST['startd'], $_POST['endd'])){
					echo json_encode(array('rs'=>-3, 'mess'=>'The date you selected in company holidays or you not working or invalid'));
					return;
					}
				$this->booktimeoff->setId($_POST['hddid']);
				$this->booktimeoff->setUserId($_SESSION['uid']);
				$dt = $this->booktimeoff->getBookToView();
				$strrandom = $this->random_string(32);
				$strrandom[mt_rand(0,31)] = $_SESSION['uid'];
				if($_POST['starttype']==1){
					$start_time = 'NULL';
					$start_hour = '0.00';
					}
				else{
					$start_time = '\''.addslashes(urldecode($_POST['starttime'])).'\'';
					$start_hour = (float)urldecode($_POST['starthour']);
					}
				if($_POST['endtype']==1){
					$end_time = 'NULL';
					$end_hour = '0.00';
					}
				else{
					$end_time = '\''.addslashes(urldecode($_POST['endtime'])).'\'';
					$end_hour = (float)urldecode($_POST['endhour']);
					}
				$data = array($_POST['vationtype'], addslashes(urldecode($_POST['startd'])), addslashes(urldecode($_POST['endd'])), $_POST['starttype'], $start_hour, $start_time, $_POST['endtype'], $end_hour, $end_time, addslashes(urldecode($_POST['addition'])), date('Y-m-d H:i:s'), sha1($strrandom));
				if($this->booktimeoff->updateBook($data)>0){
					$this->user->setSupervisor($this->UserLogin->getSupervisor());
					$supmail = $this->user->getEmailApprover();
					parent::loadModel('notifications');
					$this->notifications->setId(5);
					$notify = $this->notifications->getObjNotify();
					$row = (object)array('StartDate'=>$_POST['startd'], 'EndDate'=>$_POST['endd'],'StartType'=>$_POST['starttype'],'EndType'=>$_POST['endtype'],'StartHours'=>(float)urldecode($_POST['starthour']),'EndHours'=>(float)urldecode($_POST['endhour']));
					$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$TIMEOFFDAYSREQUESTED','$URL');
					$arr_to = array($this->UserLogin->getFullName(),$dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,$this->booktimeoff->__caculationDays($row),BASE_URL.'?timeoffbook&bookapprove&key='.sha1($strrandom));
					$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
					@mail(trim($supmail), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
					if($this->UserLogin->getBookingModified()==1){
						$this->notifications->setId(3);
						$notify = $this->notifications->getObjNotify();
						$row = (object)array('StartDate'=>$_POST['startd'], 'EndDate'=>$_POST['endd'],'StartType'=>$_POST['starttype'],'EndType'=>$_POST['endtype'],'StartHours'=>(float)urldecode($_POST['starthour']),'EndHours'=>(float)urldecode($_POST['endhour']));
						$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$COMMENT','$TIMEOFFDAYSREQUESTED','$URL','Administrator');
						$arr_to = array($this->UserLogin->getFullName(),$dt->TimeOffName,$_POST['startd'],$_POST['endd'],urldecode($_POST['addition']),'Updated by yourself',$this->booktimeoff->__caculationDays($row),BASE_URL.'?member','yourself');
						$umess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						@mail(trim($this->UserLogin->getEmail()), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $umess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						}
					echo json_encode(array('rs'=>1, 'mess'=>''));
					return;
					}
				else{
					echo json_encode(array('rs'=>0, 'mess'=>'An error occurred, please try again'));
					return;
					}
				}
			}
		if(!isset($_SESSION['uid'])){
			echo 'Please login site';
			return;
			}
		if(!array_key_exists('id', $param)){
			echo 'Your bad URL';
			return;
			}
		parent::loadModel('timeofftype');
		$this->view->typeoff = $this->timeofftype->getTimeoffType();
		parent::loadModel('daytype');
		$this->view->typeday = $this->daytype->getDayType();
		parent::loadModel('booktimeoff');
		$this->booktimeoff->HolidayInWeek = $this->HolidaysInWeek;
		$this->booktimeoff->setId($param['id']);
		$this->booktimeoff->setUserId($_SESSION['uid']);
		$this->view->book = $this->booktimeoff->getBookToEdit();
		$this->UserLogin->setSupervisor($this->UserLogin->getSupervisor());
		$this->view->supervisor = $this->UserLogin->getApproverName();
		$this->view->addbooktype = $param['at'];
		$this->view->render('members/editbook');
		}
	public function settingsAction(array $param){
		if($_SERVER['REQUEST_METHOD']=='POST' && isset($_POST['btsmsavesetting'])){
			if(!isset($_POST['fullname']) || trim($_POST['fullname'])=='')
				$this->view->err_f = 'Please enter fullname';
			elseif(!isset($_POST['birthday']) || !$this->chkDateValid('',trim($_POST['birthday'])))
				$this->view->err_b = 'Birthday is invalid';
			else{
				$data = array(addslashes(trim($_POST['fullname'])), addslashes(trim($_POST['birthday'])), intval($_POST['timezone']), intval($_POST['workweek']), intval($_POST['calendar']), intval($_POST['schedule']), intval($_POST['bookapp']), intval($_POST['bookrej']), intval($_POST['bookmdi']), intval($_POST['bookdel']), intval($_POST['bookadd']));
				$this->UserLogin->setId($_SESSION['uid']);
				if($this->UserLogin->UpdateAccount($data)>0)
					$this->view->succ = 'Your settings updated successfull';
				else $this->view->error = 'An error occurred, please try again';
				}
			}
		$this->view->user = $this->UserLogin;
		$this->view->title = 'Account settings - '.$this->UserLogin->getFullName().' - '.$this->settings->SiteName;
		$this->view->settings = $this->settings;
		$this->UserLogin->setId($_SESSION['uid']);
		$this->view->detail = $this->UserLogin->getUserProfile();
		$this->UserLogin->setSupervisor($this->UserLogin->getSupervisor());
		$this->view->supervisor = $this->UserLogin->getApproverName();
		parent::loadModel('workweek');
		$this->view->workweek = $this->workweek->getObjWorkWeek();
		parent::loadModel('calendar');
		$this->view->calens = $this->calendar->getCalendars();
		parent::loadModel('schedule');
		$this->view->scheds = $this->schedule->getSchedule();
		parent::loadModel('timezone');
		$this->view->zones = $this->timezone->getTimezone();
		$this->view->render('members/settings');
		}
	public function changepassAction(array $param){
		$this->UserLogin->setId($_SESSION['uid']);
		$this->UserLogin->setPassword(addslashes($param['cp']));
		$rs = $this->UserLogin->ChangePassword(addslashes($param['np']));
		if($rs>0){
			echo json_encode(array('status'=>1, 'mess'=>'Your password updated successfull'));
			return;
			}
		elseif($rs==-1 || $rs==0){
			echo json_encode(array('status'=>$rs, 'mess'=>'An error occurred, please try again'));
			return;
			}
		elseif($rs==-3){
			echo json_encode(array('status'=>$rs, 'mess'=>'Current password is incorrect'));
			return;
			}
		else{
			echo json_encode(array('status'=>$rs, 'mess'=>'Not find user.'));
			return;
			}
		}
	}