<?php
defined('APP') or die('Hacking attemp!');
class Controller_Timeoffbook extends Core_Controller{
	private $UserLogin;
	function __construct(){
		parent::__construct();
		if(!isset($_SESSION['uid'])){
			header('Location: '.BASE_URL.'?index&login');
			return;
			}
		parent::loadModel('user');
		$this->user->setId($_SESSION['uid']);
		$this->UserLogin = $this->user->getUser();
		$this->settings->CalendarId = $this->UserLogin->getCalendarId();
		$this->view->user = $this->UserLogin;
		$this->view->settings = $this->settings;
		if($this->UserLogin->getGroupId()!=2){
			$this->view->title = 'Time off booking - '.$this->UserLogin->getFullName().' - '.$this->settings->SiteName;
			$this->view->render('timeoffbook/denied');
			exit();
			}
		}
    public function indexAction(array $param){
		$this->user->setSupervisor($_SESSION['uid']);
		$list_user = $this->user->getUsersManageByMe();
		$this->view->listuser = $this->user->getUserMyManage();
		$list_request = array();
		$numapp = $numre = $numwai = 0;
		if(count($list_user)>0){
			parent::loadModel('booktimeoff');
			parent::loadModel('schedule');
			$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
			$this->booktimeoff->HolidayInWeek = $this->schedule->getAllInWeek();
			$config['lastpage'] = $this->settings->LastPage;
			$config['firstpage'] = $this->settings->FirstPage;
			$config['showeachside'] = $this->settings->ShowEachSide;
			$config['per_page'] = $this->settings->RecordsPerPage;
			$config['js_numrows_page'] = count($this->booktimeoff->getListRequestedByApprover($list_user,''));
			$config['curpage'] = array_key_exists('p',$param)?$param['p']:1;
			$config['rs_start'] = ($config['curpage']*$config['per_page'])-$config['per_page'];
			if($config['js_numrows_page'] < $config['per_page'])
				$config['per_page'] = $config['js_numrows_page'];
			if(array_key_exists('p',$param))
				unset($param['p']);
			$strquery = '';
			foreach($param as $kp =>$vp)
				$strquery .= '&'.$kp.'='.$vp;
			$config['cururl'] = BASE_URL.'?timeoffbook'.$strquery;
			$this->view->ttpage = $this->ThePaging($config);
			$limit = ' limit '.$config['rs_start'].', '.$config['per_page'];
			
			$list_request = $this->booktimeoff->getListRequestedByApprover($list_user, $limit);
			$this->booktimeoff->setStatus(2);
			$numapp = count($this->booktimeoff->getListRequestedByApprover($list_user, ''));
			$this->booktimeoff->setStatus(4);
			$numre = count($this->booktimeoff->getListRequestedByApprover($list_user, ''));
			$this->booktimeoff->setStatus(3);
			$numwai = count($this->booktimeoff->getListRequestedByApprover($list_user, ''));
			$this->view->minyear = $this->booktimeoff->getYear('min');
			}
		parent::loadModel('timeofftype');
		$this->view->timeoff = $this->timeofftype->getTimeoffType();
		$this->view->title = 'Time off booking - '.$this->UserLogin->getFullName().' - '.$this->settings->SiteName;
		$this->view->listoff = $list_request;
		$this->view->ttapproved = $numapp;
		$this->view->ttrejected = $numre;
		$this->view->ttwaiting = $numwai;
		$this->view->render('timeoffbook/home');
    	}
	public function loadremainAction(array $param){
		$this->user->setSupervisor($_SESSION['uid']);
		$list_user = $this->user->getUsersManageByMe();
		$numapp = $numre = $numwai = 0;
		$cond = array($param['ke'], $this->__CalculatorBeginEnd($param['ra']));
		if(count($list_user)>0){
			parent::loadModel('booktimeoff');
			parent::loadModel('schedule');
			$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
			$this->booktimeoff->HolidayInWeek = $this->schedule->getAllInWeek();
			$this->booktimeoff->setType($param['vid']);
			$this->booktimeoff->setStatus($param['st']);
			$this->booktimeoff->setStatus(2);
			$numapp = count($this->booktimeoff->FilterRequestedByApprover($list_user, $cond, ''));
			$this->booktimeoff->setStatus(4);
			$numre = count($this->booktimeoff->FilterRequestedByApprover($list_user, $cond, ''));
			$this->booktimeoff->setStatus(3);
			$numwai = count($this->booktimeoff->FilterRequestedByApprover($list_user, $cond, ''));
			}
		echo json_encode(array('app'=>$numapp, 'rej'=>$numre, 'wai'=>$numwai));
		return;
		}
	function __CalculatorBeginEnd($case){
		$result = array();
		if($case>0){
			$totime = strtotime(date('Y-m-d'));
			switch($case){
				case 1: //This week
					if(date('N', $totime)<7)
						$newdate = strtotime ( '- '.(int)date('N', $totime).' days' , strtotime (date('Y-m-d', $totime)) ) ;
					else $newdate = $totime;
					$result['start'] = $newdate;
					$result['end'] = strtotime ( '+ 1 weeks' , $newdate);
				break;
				case 2: //Last week
					if(date('N', $totime)<7)
						$newdate = strtotime ( '- '.(int)date('N', $totime).' days' , strtotime (date('Y-m-d', $totime)) ) ;
					else $newdate = $totime;
					$result['start'] = strtotime ( '- 1 weeks' , $newdate);
					$result['end'] = $newdate;
				break;
				case 3: //This quarter
					$day= date('j');
					if(is_int(cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2)){
						if($day <= (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2)){
							$start = 1;
							$end = cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2;
							}
						else{
							$start = (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2);
							$end = cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'));
							}
						}
					else{
						$bday = (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y')) - (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))%2))/2;
						if($day <= $bday){
							$start = 1;
							$end = $end2 = ((cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y')) - (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))%2))/2);
							}
						else{
							$start = $bday;
							$end = cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'));
							}
						}
					$result['start'] = strtotime(date('Y-m',$totime).'-'.$start);
					$result['end'] = strtotime(date('Y-m',$totime).'-'.$end);
				break;
				case 4: //Last quarter
					$day= date('j');
					if(is_int(cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2)){
						if($day <= (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2))
							$start = 1;
						else $start = (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))/2);
						}
					else{
						$bday = (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y')) - (cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y'))%2))/2;
						if($day <= $bday)
							$start = 1;
						else $start = $bday;
						}
					$temp = strtotime(date('Y-m',$totime).'-'.$start);
					$result['start'] = strtotime ( '- 2 weeks' , $temp);
					$result['end'] = $temp;
				break;
				case 5: //This month
					$result['start'] = strtotime(date('Y-m', $totime).'-1');
					$result['end'] = strtotime(date('Y-m', $totime).'-'.cal_days_in_month(CAL_GREGORIAN, date('m'), date('Y')));
				break;
				case 6: //Last month
					$temp = strtotime(date('Y-m',$totime).'-1');
					$newdate = strtotime ( '- 1 months' , $temp) ;
					$result['start'] = $newdate;
					$result['end'] = strtotime(date('Y-m', $newdate).'-'.cal_days_in_month(CAL_GREGORIAN, date('m', $newdate), date('Y', $newdate)));
				break;
				case 7: //Last 3 months
					$temp = strtotime(date('Y-m',$totime).'-1');
					$newdate = strtotime ( '- 3 months' , $temp) ;
					$result['start'] = $newdate;
					$result['end'] = strtotime(date('Y-m', $newdate).'-'.cal_days_in_month(CAL_GREGORIAN, date('m', $newdate), date('Y', $newdate)));
				break;
				case 8: //Last 6 months
					$temp = strtotime(date('Y-m',$totime).'-1');
					$newdate = strtotime ( '- 6 months' , $result['start']) ;
					$result['start'] = $newdate;
					$result['end'] = strtotime(date('Y-m', $newdate).'-'.cal_days_in_month(CAL_GREGORIAN, date('m', $newdate), date('Y', $newdate)));
				break;
				case 9: //Last 9 months
					$temp = strtotime(date('Y-m', $totime).'-1');
					$newdate = strtotime ( '- 9 months' , $temp) ;
					$result['start'] = $newdate;
					$result['end'] = strtotime(date('Y-m', $newdate).'-'.cal_days_in_month(CAL_GREGORIAN, date('m', $newdate), date('Y', $newdate)));
				break;
				case 10: //This year
					$result['start'] = strtotime(date('Y', $totime).'-1-1');
					$result['end'] = strtotime(date('Y', $totime).'-12-'.cal_days_in_month(CAL_GREGORIAN, 12, date('Y', $totime)));
				break;
				case 11: //Last year
					$temp = strtotime(date('Y', $totime).'-1-1');
					$newdate = strtotime ( '- 1 years' , $temp) ;
					$result['start'] = $newdate;
					$result['end'] = strtotime(date('Y', $newdate).'-12-'.cal_days_in_month(CAL_GREGORIAN, 12, date('Y', $newdate)));
				break;
				default:
					$result['start'] = strtotime($case.'-1-1');
					$result['end'] = strtotime($case.'-12-'.cal_days_in_month(CAL_GREGORIAN, 12, $case));
				break;
				}
			}
		return $result;
		}
	public function reloadlistrequestedAction(array $param){
		$this->user->setSupervisor($_SESSION['uid']);
		$list_user = $this->user->getUsersManageByMe();
		$list_request = array();
		$numapp = $numre = $numwai = 0;
		$cond = array($param['ke'], $this->__CalculatorBeginEnd($param['ra']));
		if(count($list_user)>0){
			parent::loadModel('booktimeoff');
			$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
			parent::loadModel('schedule');
			$this->booktimeoff->HolidayInWeek = $this->schedule->getAllInWeek();
			$this->booktimeoff->setType($param['vid']);
			$this->booktimeoff->setStatus($param['st']);
			$config['lastpage'] = $this->settings->LastPage;
			$config['firstpage'] = $this->settings->FirstPage;
			$config['showeachside'] = $this->settings->ShowEachSide;
			$config['per_page'] = $this->settings->RecordsPerPage;
			$config['js_numrows_page'] = count($this->booktimeoff->FilterRequestedByApprover($list_user, $cond, ''));
			$config['curpage'] = array_key_exists('p',$param)?$param['p']:1;
			$config['rs_start'] = ($config['curpage']*$config['per_page'])-$config['per_page'];
			if($config['js_numrows_page'] < $config['per_page'])
				$config['per_page'] = $config['js_numrows_page'];
			if(array_key_exists('p',$param))
				unset($param['p']);
			$strquery = '';
			foreach($param as $kp =>$vp)
				$strquery .= '&'.$kp.'='.$vp;
			$config['cururl'] = BASE_URL.'?timeoffbook'.$strquery;
			$this->view->ttpage = $this->ThePaging($config);
			$limit = ' limit '.$config['rs_start'].', '.$config['per_page'];
			$list_request = $this->booktimeoff->FilterRequestedByApprover($list_user, $cond, $limit);
			}
		$this->view->listoff = $list_request;
		$this->view->render('timeoffbook/reloadlistrequested');
		}
	public function processbookAction(array $param){
		if(!array_key_exists('vid', $param)){
			echo json_encode(array('status'=>-1, 'mess'=>'Your bad URL'));
			return;
			}
		parent::loadModel('status');
		$this->status->setId($param['st']);
		$status = $this->status->getObjStatus();
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		parent::loadModel('schedule');
		$this->booktimeoff->setStatus($param['st']);
		if($this->booktimeoff->ProcessBook($param['vid'], $_SESSION['uid'], $status->getDescription())>0){
			$arr = $this->booktimeoff->getInfoToMail($param['vid']);
			if(count($arr)>0){
				parent::loadModel('notifications');
				if($param['st'] == 4)
					$this->notifications->setId(4);
				elseif($param['st'] == 2)
					$this->notifications->setId(1);
				$notify = $this->notifications->getObjNotify();
				foreach($arr as $varr){
					if($varr->BookingRejected==1 && $param['st'] == 4){
						$this->booktimeoff->setId($varr->Id);
						$this->booktimeoff->setUserId($varr->UserId);
						$dt = $this->booktimeoff->getBookToView();
						$this->schedule->setId($dt->ScheduleId);
						$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
						$row = (object)array('StartDate'=>$dt->StartDate, 'EndDate'=>$dt->EndDate,'StartType'=>$dt->StartType,'EndType'=>$dt->EndType,'StartHours'=>$dt->StartHours,'EndHours'=>$dt->EndHours);
						$arr_frm = array('$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$TIMEOFFDAYSREQUESTED','$URL');
						$arr_to = array($dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,$this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
						$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						
						@mail(trim($varr->Email), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						}
					if($varr->BookingApproved==1 && $param['st'] == 2){
						$this->booktimeoff->setId($varr->Id);
						$this->booktimeoff->setUserId($varr->UserId);
						$dt = $this->booktimeoff->getBookToView();
						$this->schedule->setId($dt->ScheduleId);
						$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
						$row = (object)array('StartDate'=>$dt->StartDate, 'EndDate'=>$dt->EndDate,'StartType'=>$dt->StartType,'EndType'=>$dt->EndType,'StartHours'=>$dt->StartHours,'EndHours'=>$dt->EndHours);
						$arr_frm = array('$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$TIMEOFFDAYSREQUESTED','$URL');
						$arr_to = array($dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,$this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
						$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						
						@mail(trim($varr->Email), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						}
					}
				}
			echo json_encode(array('status'=>1, 'mess'=>''));
			return;
			}
		echo json_encode(array('status'=>-1, 'mess'=>'An error occurred, please try again'));
		return;
		}
	public function addbookAction(array $param){
		if($_SERVER['REQUEST_METHOD']=='POST' && isset($_POST['user'])){
			if($_POST['starttype']==3 && (empty($_POST['starthour']) || urldecode(trim($_POST['starthour']))=='')){
				echo json_encode(array('rs'=>-1, 'mess'=>'Start hours is a required field'));
				return;
				}
			elseif($_POST['endtype']==3 && (empty($_POST['endhour']) || urldecode(trim($_POST['endhour']))=='')){
				echo json_encode(array('rs'=>-2, 'mess'=>'End hours is a required field'));
				return;
				}
			else{
				parent::loadModel('booktimeoff');
				$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
				$this->user->setId($_POST['user']);
				$newuser = $this->user->getUser();
				parent::loadModel('schedule');
				$this->schedule->setId($newuser->getScheduleId());
				$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
				$this->booktimeoff->setCalendarId($newuser->getCalendarId());
				if(!$this->booktimeoff->chkAvalidDate($_POST['startd'], $_POST['endd'])){
					echo json_encode(array('rs'=>-3, 'mess'=>'The date you selected in company holidays or member not working or invalid'));
					return;
					}
				if($_POST['starttype']==1){
					$start_time = 'NULL';
					$start_hour = '0.00';
					}
				else{
					$start_time = '\''.addslashes(urldecode($_POST['starttime'])).'\'';
					$start_hour = (float)urldecode($_POST['starthour']);
					}
				if($_POST['endtype']==1){
					$end_time = 'NULL';
					$end_hour = '0.00';
					}
				else{
					$end_time = '\''.addslashes(urldecode($_POST['endtime'])).'\'';
					$end_hour = (float)urldecode($_POST['endhour']);
					}
				$strrandom = $this->random_string(32);
				$strrandom[mt_rand(0,31)] = $_POST['user'];
				$data = array('UserId'=>$_POST['user'], 'Type'=>$_POST['vationtype'], 'StartDate'=>'\''.addslashes(urldecode($_POST['startd'])).'\'', 'EndDate'=>'\''.addslashes(urldecode($_POST['endd'])).'\'', 'StartType'=>$_POST['starttype'], 'StartHours'=>'\''.$start_hour.'\'', 'StartTime'=>$start_time, 'EndType'=>$_POST['endtype'], 'EndHours'=>'\''.$end_hour.'\'', 'EndTime'=>$end_time, 'AdditionDetails'=>'\''.addslashes(urldecode($_POST['addition'])).'\'', 'Status'=>2, 'CreatedDate'=>'\''.date('Y-m-d H:i:s').'\'', 'LastUpdate'=>'\''.date('Y-m-d H:i:s').'\'', 'StrApprove'=>'\''.sha1($strrandom).'\'');
				if($this->booktimeoff->moderateAddbook($data, $_SESSION['uid'])>0){
					if($newuser->getBookingNew()==1){
						parent::loadModel('notifications');
						$this->notifications->setId(6);
						$notify = $this->notifications->getObjNotify();
						parent::loadModel('timeofftype');
						$this->timeofftype->setId($_POST['vationtype']);
						$timeoff = $this->timeofftype->getTimeoffType();
						parent::loadModel('schedule');
						$this->schedule->setId($newuser->getScheduleId());
						$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
						$row = (object)array('StartDate'=>$_POST['startd'], 'EndDate'=>$_POST['endd'], 'StartType'=>$_POST['starttype'],'EndType'=>$_POST['endtype'],'StartHours'=>$_POST['starthour'],'EndHours'=>$_POST['endhour']);
						$arr_frm = array('$FULLNAME','$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$TIMEOFFDAYSREQUESTED','$URL');
						$arr_to = array($newuser->getFullName(), $timeoff->getTimeOffName(),$_POST['startd'],$_POST['endd'],urldecode($_POST['addition']),$this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
						$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						@mail(trim($newuser->getEmail()), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						}
					echo json_encode(array('rs'=>1, 'mess'=>''));
					return;
					}
				else{
					echo json_encode(array('rs'=>0, 'mess'=>'An error occurred, please try again'));
					return;
					}
				}
			}
		if(!array_key_exists('uid', $param)){
			echo 'Your bad URL !';
			return;
			}
		parent::loadModel('timeofftype');
		$this->view->typeoff = $this->timeofftype->getTimeoffType();
		parent::loadModel('daytype');
		$this->view->typeday = $this->daytype->getDayType();
		$this->view->curdate = date('Y-m-d');
		$this->view->userid = $param['uid'];
		$this->view->render('timeoffbook/addbook');
		}
	public function loaduserremainAction(array $param){
		if(!array_key_exists('id', $param)){
			echo json_encode(array('validnow'=>0, 'requested'=>0, 'remained'=>0));
			return;
			}
		parent::loadModel('timeofftype');
		$this->timeofftype->setId($param['id']);
		$result = $this->timeofftype->getTimeoffType();
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->setUserId($param['uid']);
		$this->booktimeoff->setType($param['id']);
		$this->booktimeoff->setCalendarId($this->settings->CalendarId);
		parent::loadModel('schedule');
		$this->user->setId($param['uid']);
		$newuser = $this->user->getUser();
		$this->schedule->setId($newuser->getScheduleId());
		$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
		echo json_encode(array('validnow'=>$result->getAlowDays(), 'requested'=>$this->booktimeoff->getTotalBookTimeUserVationType(), 'remained'=>$result->getAlowDays()-$this->booktimeoff->getTotalBookTimeUserVationType()));
		}
	public function bookapproveAction(array $param){
		if(!array_key_exists('key', $param))
			$this->view->invalid = 'Your bad URL';
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$rs = $this->booktimeoff->chkValidKey($param['key']);
		if(!is_object($rs))
			$this->view->invalid = 'Your bad URL';
		else{
			if($_SERVER['REQUEST_METHOD']=='POST'){
				if(isset($_POST['smapro']))
					$status = 2;
				elseif(isset($_POST['smreje']))
					$status = 4;
				else $status = 3;
				parent::loadModel('status');
				$this->status->setId($status);
				$objstatus = $this->status->getObjStatus();
				$strtatus = $objstatus->getDescription();
				$this->booktimeoff->setStatus($status);
				if($this->booktimeoff->ProcessBook($rs->Id, $_SESSION['uid'], $strtatus)>0){
					$this->user->setId($rs->UserId);
					$this->UserLogin = $this->user->getUser();
					$this->booktimeoff->setId($rs->Id);
					$this->booktimeoff->setUserId($rs->UserId);
					$dt = $this->booktimeoff->getBookToView();
					parent::loadModel('notifications');
					if($status == 2 && $this->UserLogin->getBookingApproved()==1){
						$this->notifications->setId(1);
						$notify = $this->notifications->getObjNotify();
						parent::loadModel('schedule');
						$this->schedule->setId($this->UserLogin->getScheduleId());
						$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
						$row = (object)array('StartDate'=>$dt->StartDate, 'EndDate'=>$dt->EndDate,'StartType'=>$dt->StartType,'EndType'=>$dt->EndType,'StartHours'=>$dt->StartHours,'EndHours'=>$dt->EndHours);
						$arr_frm = array('$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$COMMENT','$TIMEOFFDAYSREQUESTED','$URL');
						$arr_to = array($dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,$strtatus,$this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
						$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						@mail(trim($this->UserLogin->getEmail()), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						header('Location: '.BASE_URL.'?timeoffbook');
						return;
						}
					elseif($status == 4 && $this->UserLogin->getBookingRejected()==1){
						$this->notifications->setId(4);
						$notify = $this->notifications->getObjNotify();
						$row = (object)array('StartDate'=>$dt->StartDate, 'EndDate'=>$dt->EndDate,'StartType'=>$dt->StartType,'EndType'=>$dt->EndType,'StartHours'=>$dt->StartHours,'EndHours'=>$dt->EndHours);
						parent::loadModel('schedule');
						$this->schedule->setId($this->UserLogin->getScheduleId());
						$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
						$arr_frm = array('$TIMEOFFTYPE','$TIMEOFFSTART','$TIMEOFFEND','$TIMEOFFCOMMENT','$COMMENT','$TIMEOFFDAYSREQUESTED','$URL');
						$arr_to = array($dt->TimeOffName,$dt->StartDate,$dt->EndDate,$dt->AdditionDetails,$strtatus,$this->booktimeoff->__caculationDays($row),BASE_URL.'?member');
						$newmess = str_replace($arr_frm, $arr_to, html_entity_decode($notify->getBodyMail()));
						
						@mail(trim($this->UserLogin->getEmail()), '=?UTF-8?B?'.base64_encode($notify->getSubject().' - '.$this->settings->SiteName).'?=', $newmess, 'Content-Type: text/html; charset=utf-8\r\nFrom: '.$this->settings->AdminEmail);
						header('Location: '.BASE_URL.'?timeoffbook');
						return;
						}
					header('Location: '.BASE_URL.'?timeoffbook');
					return;
					}
				else $this->view->error = 'An error occurred, please try again';
				}
			$this->booktimeoff->setId($rs->Id);
			$this->booktimeoff->setUserId($rs->UserId);
			$this->booktimeoff->setCalendarId($this->settings->CalendarId);
			$this->view->book = $this->booktimeoff->getBookToView();
			$this->booktimeoff->setType($rs->Type);
			$this->view->requested = $this->booktimeoff->getTotalBookTimeUserVationType(date('Y', strtotime($rs->StartDate)));
			parent::loadModel('timeofftype');
			$this->timeofftype->setId($rs->Type);
			$timeoff = $this->timeofftype->getTimeoffType();
			$this->view->ttAlow = $timeoff->getAlowDays();
			$this->view->remaining = $timeoff->getAlowDays() - $this->booktimeoff->getTotalBookTimeUserVationType(date('Y', strtotime($rs->StartDate)));
			}
		$this->view->title = 'Time off booking - Approve booking - '.$this->settings->SiteName;
		$this->view->render('timeoffbook/bookapprove');
		}
	public function bookingviewappAction(array $param){
		if(!array_key_exists('id', $param)){
			echo 'Your bad URL !';
			return;
			}
		$year = isset($param['y'])?$param['y']:date('Y');
		parent::loadModel('booktimeoff');
		$this->booktimeoff->setHourPerDay($this->settings->HoursPerDay);
		$this->booktimeoff->setId($param['id']);
		$this->booktimeoff->setUserId($param['u']);
		$this->booktimeoff->setCalendarId($this->settings->CalendarId);
		$booktime = $this->booktimeoff->getBookTimeOff();
		parent::loadModel('schedule');
		$this->user->setId($param['u']);
		$newuser = $this->user->getUser();
		$this->schedule->setId($newuser->getScheduleId());
		$this->booktimeoff->HolidayInWeek = $this->schedule->getHolidaysInWeek();
		$this->view->timeof = $this->booktimeoff->getBookToView();
		$this->booktimeoff->setType($booktime->getType());
		$this->view->requested = $this->booktimeoff->getTotalBookTimeUserVationType($year);
		parent::loadModel('timeofftype');
		$this->timeofftype->setId($booktime->getType());
		$timeoff = $this->timeofftype->getTimeoffType();
		$this->view->ttAlow = $timeoff->getAlowDays();
		$this->view->remaining = $timeoff->getAlowDays() - $this->booktimeoff->getTotalBookTimeUserVationType($year);
		$this->view->bookid = $param['id'];
		$this->view->usergroup = $this->UserLogin->getGroupId();
		$this->view->render('timeoffbook/bookingviewapp');
		}
	}