-- phpMyAdmin SQL Dump
-- version 2.11.11.3
-- http://www.phpmyadmin.net
--
-- Host: 184.168.194.156
-- Generation Time: Mar 03, 2013 at 06:29 PM
-- Server version: 5.0.96
-- PHP Version: 5.1.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- 
--

-- --------------------------------------------------------

--
-- Table structure for table `trk_approval_history`
--
CREATE TABLE IF NOT EXISTS `trk_approval_history` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL DEFAULT '0',
  `BookTimeId` int(11) NOT NULL DEFAULT '0',
  `StrStatus` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ActionDate` datetime DEFAULT NULL,
  `Comment` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `tbld_banedusers`
--


-- --------------------------------------------------------

--
-- Table structure for table `trk_calendars`
--
CREATE TABLE IF NOT EXISTS `trk_calendars` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `CalendarName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `trk_calendars`
--

INSERT INTO `trk_calendars` VALUES (1,'Holidays for United States',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_calendars` VALUES (2,'Holidays for United Kingdom',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_calendars` VALUES (3,'Holidays for Singapore',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_calendars` VALUES (4,'Holidays for Germany',1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_calendars` VALUES (5,'Holidays for France',1) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `trk_calendars` VALUES (6,'Holidays for Canada',1) ON DUPLICATE KEY UPDATE Id=6;

-- --------------------------------------------------------

--
-- Table structure for table `trk_day_type`
--
CREATE TABLE IF NOT EXISTS `trk_day_type` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Hours` tinyint(1) NOT NULL DEFAULT '0',
  `StartTime` tinyint(1) NOT NULL DEFAULT '0',
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `trk_day_type`
--

INSERT INTO `trk_day_type` VALUES (1,'Full Day',0,0,1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_day_type` VALUES (2,'1/2 Day',0,1,1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_day_type` VALUES (3,'Partial Day Off',1,1,1) ON DUPLICATE KEY UPDATE Id=3;

--
-- Table structure for table `trk_email_notifications`
--
CREATE TABLE IF NOT EXISTS `trk_email_notifications` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ReplyTo` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Subject` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `BodyMail` text COLLATE utf8_unicode_ci,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `trk_email_notifications`
--
INSERT INTO `trk_email_notifications` VALUES (1,'Time off booking is approved','DO-NOT-REPLY@coryapp.com','Your time off booking has been approved','Your following time off booking has been approved:<br/><br/>\r\nTime Off Type: $TIMEOFFTYPE <br/>\r\nFrom: $TIMEOFFSTART <br/>\r\nTo: $TIMEOFFEND <br/>\r\nTime Off Reason: $TIMEOFFCOMMENT <br/>\r\nTotal number of days requested: $TIMEOFFDAYSREQUESTED<br/><br/>\r\nApproval Comment:  $COMMENT<br/><br/>\r\nYou can access your approved time off booking at $URL',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_email_notifications` VALUES (2,'Time off booking is deleted','DO-NOT-REPLY@coryapp.com','A time off booking waiting for your approval has been cancelled','The following time off booking has been cancelled for $FULLNAME:<br/><br/>\r\n\r\nTime Off Type: $TIMEOFFTYPE <br/>\r\nFrom: $TIMEOFFSTART <br/>\r\nTo: $TIMEOFFEND <br/>\r\nTime Off Reason:  $TIMEOFFCOMMENT <br/>\r\nTotal number of days requested: $TIMEOFFDAYSREQUESTED <br/><br/>\r\n\r\nApproval Comment: $COMMENT <br/><br/>\r\n\r\nYou can access other waiting approval at $URL\r\n',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_email_notifications` VALUES (3,'Time off booking is modified ','DO-NOT-REPLY@coryapp.com','Your time off booking has been modified','The following time off booking has been modified by Administrator: <br/><br/>\r\n\r\nTime Off Type: $TIMEOFFTYPE <br/>\r\nFrom: $TIMEOFFSTART <br/>\r\nTo: $TIMEOFFEND <br/>\r\nTime Off Reason:  $TIMEOFFCOMMENT <br/>\r\nTotal number of days requested: $TIMEOFFDAYSREQUESTED <br/><br/>\r\n\r\nApproval Comment: $COMMENT <br/><br/>\r\n\r\nYou can access your modified time off booking at $URL\r\n',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_email_notifications` VALUES (4,'Time off booking is rejected ','DO-NOT-REPLY@coryapp.com','Your time off booking has been rejected','The following time off booking has been rejected: <br/><br/>\r\n\r\nTime Off Type: $TIMEOFFTYPE <br/>\r\nFrom: $TIMEOFFSTART <br/>\r\nTo: $TIMEOFFEND <br/>\r\nTime Off Reason: $TIMEOFFCOMMENT <br/>\r\nTotal number of days requested: $TIMEOFFDAYSREQUESTED <br/><br/>\r\n\r\nApproval Comment: $COMMENT <br/><br/>\r\n\r\nYou can access your rejected time off booking at $URL',1) ON DUPLICATE KEY UPDATE Id=34;
INSERT INTO `trk_email_notifications` VALUES (5,'Time off booking is waiting for approval ','DO-NOT-REPLY@coryapp.com','$FULLNAME has submitted a time off booking for your approval','$FULLNAME has submitted a time off booking for your approval.<br/><br/>\r\nTime Off Type: $TIMEOFFTYPE <br/>\r\nFrom: $TIMEOFFSTART <br/>\r\nTo: $TIMEOFFEND <br/>\r\nTime Off Reason: $TIMEOFFCOMMENT <br/>\r\nTotal number of days requested: $TIMEOFFDAYSREQUESTED<br/><br/>\r\n\r\nYou can access and approve the time off booking at $URL\r\n',1) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `trk_email_notifications` VALUES (6,'Time off booking is added','DO-NOT-REPLY@coryapp.com','Your time off booking has been added','Your following time off booking has been added:<br/><br/>\r\n\r\nTime Off Type: $TIMEOFFTYPE <br/>\r\nFrom: $TIMEOFFSTART <br/>\r\nTo: $TIMEOFFEND <br/>\r\nTime Off Reason: $TIMEOFFCOMMENT <br/>\r\nTotal number of days requested: $TIMEOFFDAYSREQUESTED<br/><br/>\r\n\r\nYou can access your time off booking at $URL',1) ON DUPLICATE KEY UPDATE Id=6;

--
-- Table structure for table `trk_employee_types`
--

CREATE TABLE IF NOT EXISTS `trk_employee_types` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Type` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_employee_types`
--
INSERT INTO `trk_employee_types` VALUES (1,'Contractor',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_employee_types` VALUES (2,'Full-time Hourly',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_employee_types` VALUES (3,'Full-time Salaried',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_employee_types` VALUES (4,'Part-time Hourly',1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_employee_types` VALUES (5,'Part-time Salaried',1) ON DUPLICATE KEY UPDATE Id=5;

--
-- Table structure for table `trk_genders`
--

CREATE TABLE IF NOT EXISTS `trk_genders` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `GenderName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_genders`
--
INSERT INTO `trk_genders` VALUES (1,'Male',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_genders` VALUES (2,'Female',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_genders` VALUES (3,'Other',1) ON DUPLICATE KEY UPDATE Id=3;

--
-- Table structure for table `trk_groups`
--

CREATE TABLE IF NOT EXISTS `trk_groups` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `GroupName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_groups`
--
INSERT INTO `trk_groups` VALUES (1,'Administrtor',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_groups` VALUES (2,'Moderator',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_groups` VALUES (3,'User',1) ON DUPLICATE KEY UPDATE Id=3;

--
-- Table structure for table `trk_holidays`
--

CREATE TABLE IF NOT EXISTS `trk_holidays` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `HolidayName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `HolidayDate` date DEFAULT NULL,
  `HolidayCalendar` int(11) NOT NULL DEFAULT '1',
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_holidays`
--
INSERT INTO `trk_holidays` VALUES (1,'New Year\'s Day','2014-01-01',1,1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_holidays` VALUES (2,'Martin Luther King Day','2014-01-20',1,1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_holidays` VALUES (3,'President\'s Day','2014-02-17',1,1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_holidays` VALUES (4,'Memorial Day','2014-05-26',1,1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_holidays` VALUES (5,'Independence Day','2014-07-04',1,1) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `trk_holidays` VALUES (6,'Labor Day','2014-09-01',1,1) ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `trk_holidays` VALUES (7,'Columbus Day','2014-10-13',1,1) ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `trk_holidays` VALUES (8,'Veterans Day','2014-11-11',1,1) ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `trk_holidays` VALUES (9,'Thanksgiving Day','2014-11-27',1,1) ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `trk_holidays` VALUES (10,'Christmas Day','2014-12-25',1,1) ON DUPLICATE KEY UPDATE Id=10;

--
-- Table structure for table `trk_increment`
--

CREATE TABLE IF NOT EXISTS `trk_increment` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `IncrementType` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_increment`
--
INSERT INTO `trk_increment` VALUES (1,'Full day',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_increment` VALUES (2,'Halt day',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_increment` VALUES (3,'Quarter day',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_increment` VALUES (4,'Full hour',1) ON DUPLICATE KEY UPDATE Id=4;

--
-- Table structure for table `trk_pages`
--

CREATE TABLE IF NOT EXISTS `trk_pages` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `PageName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `PageBody` longtext COLLATE utf8_unicode_ci,
  `PostedDate` datetime DEFAULT NULL,
  `LastUpdated` datetime DEFAULT NULL,
  `IsActive` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `trk_pages`
--
INSERT INTO `trk_pages` VALUES (1,'About Us','This is About Us sample data','2014-05-30 00:00:00','2014-05-30 00:00:00',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_pages` VALUES (2,'Help','This is Help sample data','2014-05-30 00:00:00','2014-05-30 00:00:00',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_pages` VALUES (3,'Privacy Policy','This is Privacy Policy sample data','2014-05-30 00:00:00','2014-05-30 00:00:00',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_pages` VALUES (4,'Term of Use','This is Term of Use sample data','2014-05-30 00:00:00','2014-05-30 00:00:00',1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_pages` VALUES (5,'Contact Us','This is Contact Us sample data','2014-05-30 00:00:00','2014-05-30 00:00:00',1) ON DUPLICATE KEY UPDATE Id=5;

--
-- Table structure for table `trk_schedule`
--

CREATE TABLE IF NOT EXISTS `trk_schedule` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ScheduleName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Sunday` float(3,2) NOT NULL DEFAULT '0.00',
  `Monday` float(3,2) NOT NULL DEFAULT '0.00',
  `Tuesday` float(3,2) NOT NULL DEFAULT '0.00',
  `Wednesday` float(3,2) NOT NULL DEFAULT '0.00',
  `Thusday` float(3,2) NOT NULL DEFAULT '0.00',
  `Friday` float(3,2) NOT NULL DEFAULT '0.00',
  `Saturday` float(3,2) NOT NULL DEFAULT '0.00',
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_schedule`
--
INSERT INTO `trk_schedule` VALUES (1,'Default Schedule','Default Schedule',0.00,8.00,8.00,8.00,8.00,8.00,8.00,1) ON DUPLICATE KEY UPDATE Id=1;

--
-- Table structure for table `trk_site_settings`
--

CREATE TABLE IF NOT EXISTS `trk_site_settings` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `SiteName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Version` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `HoursPerDay` tinyint(2) NOT NULL DEFAULT '8',
  `Copyright` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LogoName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `LastPage` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `FirstPage` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ShowEachSide` int(11) NOT NULL DEFAULT '4',
  `RecordsPerPage` int(11) NOT NULL DEFAULT '8',
  `AdminEmail` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `CalendarId` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_site_settings`
--
INSERT INTO `trk_site_settings` VALUES (1,'Cory Time Management','0.0',8,'&Acirc;&copy; 2014. All rights reserved.','Logo_cory_tt.png','Last','First',4,20,'admin@coryapp.com',1) ON DUPLICATE KEY UPDATE Id=1;

--
-- Table structure for table `trk_status`
--

CREATE TABLE IF NOT EXISTS `trk_status` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `Description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_status`
--
INSERT INTO `trk_status` VALUES (1,'Not submited',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_status` VALUES (2,'Approved',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_status` VALUES (3,'Waiting approval',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_status` VALUES (4,'Rejected',1) ON DUPLICATE KEY UPDATE Id=4;

--
-- Table structure for table `trk_timeofftype`
--

CREATE TABLE IF NOT EXISTS `trk_timeofftype` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `TimeOffName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Descriptions` text COLLATE utf8_unicode_ci,
  `AlowDays` int(11) NOT NULL DEFAULT '0',
  `MinimumIncrement` int(11) NOT NULL DEFAULT '0',
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_timeofftype`
--
INSERT INTO `trk_timeofftype` VALUES (1,'Vacation','Annual vacation time',10,1,1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_timeofftype` VALUES (2,'Family Emergency','Time off needed to tend to illness or other emergencies in the immediate family',11,1,1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_timeofftype` VALUES (3,'Holiday','Statutory holidays',12,1,1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_timeofftype` VALUES (4,'Personal Leave','Extended leave',13,1,1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_timeofftype` VALUES (5,'Sick','Time off due to illness',14,1,1) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `trk_timeofftype` VALUES (6,'Banked Time','Overtime banked for future time off instead of being paid out',15,1,1) ON DUPLICATE KEY UPDATE Id=6;

--
-- Table structure for table `trk_timezones`
--

CREATE TABLE IF NOT EXISTS `trk_timezones` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `ValZone` int(11) NOT NULL DEFAULT '0',
  `StrDisplay` varchar(255) DEFAULT NULL,
  `ValDisplay` varchar(255) DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=MyISAM AUTO_INCREMENT=92 DEFAULT CHARSET=utf8;
--
-- Dumping data for table `trk_timezones`
--
INSERT INTO `trk_timezones` VALUES (1,-11,'(GMT-11:00) Midway Island, Samoa','Pacific/Midway',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_timezones` VALUES (2,-10,'(GMT-10:00) Hawaii-Aleutian','America/Adak',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_timezones` VALUES (3,-10,'(GMT-10:00) Hawaii','Etc/GMT+10',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_timezones` VALUES (4,-9,'(GMT-09:30) Marquesas Islands','Pacific/Marquesas',1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_timezones` VALUES (5,-9,'(GMT-09:00) Gambier Islands','Pacific/Gambier',1) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `trk_timezones` VALUES (6,-9,'(GMT-09:00) Alaska','America/Anchorage',1) ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `trk_timezones` VALUES (7,-8,'(GMT-08:00) Tijuana, Baja California','America/Ensenada',1) ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `trk_timezones` VALUES (8,-11,'(GMT-11:00) Midway Island, Samoa','Pacific/Midway',1) ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `trk_timezones` VALUES (9,-8,'(GMT-08:00) Pitcairn Islands','Etc/GMT+8',1) ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `trk_timezones` VALUES (10,-8,'(GMT-08:00) Pacific Time (US & Canada)','America/Los_Angeles',1) ON DUPLICATE KEY UPDATE Id=10;
INSERT INTO `trk_timezones` VALUES (11,-7,'(GMT-07:00) Mountain Time (US & Canada)','America/Denver',1) ON DUPLICATE KEY UPDATE Id=11;
INSERT INTO `trk_timezones` VALUES (12,-7,'(GMT-07:00) Chihuahua, La Paz, Mazatlan','America/Chihuahua',1) ON DUPLICATE KEY UPDATE Id=12;
INSERT INTO `trk_timezones` VALUES (13,-7,'(GMT-07:00) Arizona','America/Dawson_Creek',1) ON DUPLICATE KEY UPDATE Id=13;
INSERT INTO `trk_timezones` VALUES (14,-6,'(GMT-06:00) Saskatchewan, Central America','America/Belize',1) ON DUPLICATE KEY UPDATE Id=14;
INSERT INTO `trk_timezones` VALUES (15,-6,'(GMT-06:00) Guadalajara, Mexico City, Monterrey','America/Cancun',1) ON DUPLICATE KEY UPDATE Id=15;
INSERT INTO `trk_timezones` VALUES (16,-6,'(GMT-06:00) Easter Island','Chile/EasterIsland',1) ON DUPLICATE KEY UPDATE Id=16;
INSERT INTO `trk_timezones` VALUES (17,-6,'(GMT-06:00) Central Time (US & Canada)','America/Chicago',1) ON DUPLICATE KEY UPDATE Id=17;
INSERT INTO `trk_timezones` VALUES (18,-5,'(GMT-05:00) Eastern Time (US & Canada)','America/New_York',1) ON DUPLICATE KEY UPDATE Id=18;
INSERT INTO `trk_timezones` VALUES (19,-5,'(GMT-05:00) Cuba','America/Havana',1) ON DUPLICATE KEY UPDATE Id=19;
INSERT INTO `trk_timezones` VALUES (20,-5,'(GMT-05:00) Bogota, Lima, Quito, Rio Branco','America/Bogota',1) ON DUPLICATE KEY UPDATE Id=20;
INSERT INTO `trk_timezones` VALUES (21,-4,'(GMT-04:30) Caracas','America/Caracas',1) ON DUPLICATE KEY UPDATE Id=21;
INSERT INTO `trk_timezones` VALUES (22,-4,'(GMT-04:00) Santiago','America/Santiago',1) ON DUPLICATE KEY UPDATE Id=22;
INSERT INTO `trk_timezones` VALUES (23,-4,'(GMT-04:00) La Paz','America/La_Paz',1) ON DUPLICATE KEY UPDATE Id=23;
INSERT INTO `trk_timezones` VALUES (24,-4,'(GMT-04:00) Faukland Islands','Atlantic/Stanley',1) ON DUPLICATE KEY UPDATE Id=24;
INSERT INTO `trk_timezones` VALUES (25,-4,'(GMT-04:00) Brazil','America/Campo_Grande',1) ON DUPLICATE KEY UPDATE Id=25;
INSERT INTO `trk_timezones` VALUES (26,-4,'(GMT-04:00) Atlantic Time (Goose Bay)','America/Goose_Bay',1) ON DUPLICATE KEY UPDATE Id=26;
INSERT INTO `trk_timezones` VALUES (27,-4,'(GMT-04:00) Atlantic Time (Canada)','America/Glace_Bay',1) ON DUPLICATE KEY UPDATE Id=27;
INSERT INTO `trk_timezones` VALUES (28,-3,'(GMT-03:30) Newfoundland','America/St_Johns',1) ON DUPLICATE KEY UPDATE Id=28;
INSERT INTO `trk_timezones` VALUES (29,-3,'(GMT-03:00) UTC-3','America/Araguaina',1) ON DUPLICATE KEY UPDATE Id=29;
INSERT INTO `trk_timezones` VALUES (30,-3,'(GMT-03:00) Montevideo','America/Montevideo',1) ON DUPLICATE KEY UPDATE Id=30;
INSERT INTO `trk_timezones` VALUES (31,-3,'(GMT-03:00) Miquelon, St. Pierre','America/Miquelon',1) ON DUPLICATE KEY UPDATE Id=31;
INSERT INTO `trk_timezones` VALUES (32,-3,'(GMT-03:00) Greenland','America/Godthab',1) ON DUPLICATE KEY UPDATE Id=32;
INSERT INTO `trk_timezones` VALUES (33,-3,'(GMT-03:00) Buenos Aires','America/Argentina/Buenos_Aires',1) ON DUPLICATE KEY UPDATE Id=33;
INSERT INTO `trk_timezones` VALUES (34,-3,'(GMT-03:00) Brasilia','America/Sao_Paulo',1) ON DUPLICATE KEY UPDATE Id=34;
INSERT INTO `trk_timezones` VALUES (35,-2,'(GMT-02:00) Mid-Atlantic','America/Noronha',1) ON DUPLICATE KEY UPDATE Id=35;
INSERT INTO `trk_timezones` VALUES (36,-1,'(GMT-01:00) Cape Verde Is.','Atlantic/Cape_Verde',1) ON DUPLICATE KEY UPDATE Id=36;
INSERT INTO `trk_timezones` VALUES (37,-1,'(GMT-01:00) Azores','Atlantic/Azores',1) ON DUPLICATE KEY UPDATE Id=37;
INSERT INTO `trk_timezones` VALUES (38,0,'(GMT) Greenwich Mean Time : Belfast','Europe/Belfast',1) ON DUPLICATE KEY UPDATE Id=38;
INSERT INTO `trk_timezones` VALUES (39,0,'(GMT) Greenwich Mean Time : Dublin','Europe/Dublin',1) ON DUPLICATE KEY UPDATE Id=39;
INSERT INTO `trk_timezones` VALUES (40,0,'(GMT) Greenwich Mean Time : Lisbon','Europe/Lisbon',1) ON DUPLICATE KEY UPDATE Id=40;
INSERT INTO `trk_timezones` VALUES (41,0,'(GMT) Greenwich Mean Time : London','Europe/London',1) ON DUPLICATE KEY UPDATE Id=41;
INSERT INTO `trk_timezones` VALUES (42,0,'(GMT) Monrovia, Reykjavik','Africa/Abidjan',1) ON DUPLICATE KEY UPDATE Id=42;
INSERT INTO `trk_timezones` VALUES (43,1,'(GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna','Europe/Amster dam',1) ON DUPLICATE KEY UPDATE Id=43;
INSERT INTO `trk_timezones` VALUES (44,1,'(GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague','Europe/Belgrade',1) ON DUPLICATE KEY UPDATE Id=44;
INSERT INTO `trk_timezones` VALUES (45,1,'(GMT+01:00) Brussels, Copenhagen, Madrid, Paris','Europe/Brussels',1) ON DUPLICATE KEY UPDATE Id=45;
INSERT INTO `trk_timezones` VALUES (46,1,'(GMT+01:00) West Central Africa','Africa/Algiers',1) ON DUPLICATE KEY UPDATE Id=46;
INSERT INTO `trk_timezones` VALUES (47,1,'(GMT+01:00) Windhoek','Africa/Windhoek',1) ON DUPLICATE KEY UPDATE Id=47;
INSERT INTO `trk_timezones` VALUES (48,2,'(GMT+02:00) Beirut','Asia/Beirut',1) ON DUPLICATE KEY UPDATE Id=48;
INSERT INTO `trk_timezones` VALUES (49,2,'(GMT+02:00) Cairo','Africa/Cairo',1) ON DUPLICATE KEY UPDATE Id=49;
INSERT INTO `trk_timezones` VALUES (50,2,'(GMT+02:00) Gaza','Asia/Gaza',1) ON DUPLICATE KEY UPDATE Id=50;
INSERT INTO `trk_timezones` VALUES (51,2,'(GMT+02:00) Harare, Pretoria','Africa/Blantyre',1) ON DUPLICATE KEY UPDATE Id=51;
INSERT INTO `trk_timezones` VALUES (52,2,'(GMT+02:00) Jerusalem','Asia/Jerusalem',1) ON DUPLICATE KEY UPDATE Id=52;
INSERT INTO `trk_timezones` VALUES (53,2,'(GMT+02:00) Minsk','Europe/Minsk',1) ON DUPLICATE KEY UPDATE Id=53;
INSERT INTO `trk_timezones` VALUES (54,2,'(GMT+02:00) Syria','Asia/Damascus',1) ON DUPLICATE KEY UPDATE Id=54;
INSERT INTO `trk_timezones` VALUES (55,3,'(GMT+03:00) Moscow, St. Petersburg, Volgograd','Europe/Moscow',1) ON DUPLICATE KEY UPDATE Id=55;
INSERT INTO `trk_timezones` VALUES (56,3,'(GMT+03:00) Nairobi','Africa/Addis_Ababa',1) ON DUPLICATE KEY UPDATE Id=56;
INSERT INTO `trk_timezones` VALUES (57,3,'(GMT+03:30) Tehran','Asia/Tehran',1) ON DUPLICATE KEY UPDATE Id=57;
INSERT INTO `trk_timezones` VALUES (58,4,'(GMT+04:00) Abu Dhabi, Muscat','Asia/Dubai',1) ON DUPLICATE KEY UPDATE Id=58;
INSERT INTO `trk_timezones` VALUES (59,4,'(GMT+04:00) Yereva','Asia/Yerevan',1) ON DUPLICATE KEY UPDATE Id=59;
INSERT INTO `trk_timezones` VALUES (60,4,'(GMT+04:30) Kabul','Asia/Kabul',1) ON DUPLICATE KEY UPDATE Id=60;
INSERT INTO `trk_timezones` VALUES (61,5,'(GMT+05:00) Ekaterinburg','Asia/Yekaterinburg',1) ON DUPLICATE KEY UPDATE Id=61;
INSERT INTO `trk_timezones` VALUES (62,5,'(GMT+05:00) Tashkent','Asia/Tashkent',1) ON DUPLICATE KEY UPDATE Id=62;
INSERT INTO `trk_timezones` VALUES (63,5,'(GMT+05:30) Chennai, Kolkata, Mumbai, New Delhi','Asia/Kolkata',1) ON DUPLICATE KEY UPDATE Id=63;
INSERT INTO `trk_timezones` VALUES (64,5,'(GMT+05:45) Kathmandu','Asia/Katmandu',1) ON DUPLICATE KEY UPDATE Id=64;
INSERT INTO `trk_timezones` VALUES (65,6,'(GMT+06:00) Astana, Dhaka','Asia/Dhaka',1) ON DUPLICATE KEY UPDATE Id=65;
INSERT INTO `trk_timezones` VALUES (66,6,'(GMT+06:00) Novosibirsk','Asia/Novosibirsk',1) ON DUPLICATE KEY UPDATE Id=66;
INSERT INTO `trk_timezones` VALUES (67,6,'(GMT+06:30) Yangon (Rangoon)','Asia/Rangoon',1) ON DUPLICATE KEY UPDATE Id=67;
INSERT INTO `trk_timezones` VALUES (68,7,'(GMT+07:00) Bangkok, Hanoi, Jakarta','Asia/Bangkok',1) ON DUPLICATE KEY UPDATE Id=68;
INSERT INTO `trk_timezones` VALUES (69,7,'(GMT+07:00) Krasnoyarsk','Asia/Krasnoyarsk',1) ON DUPLICATE KEY UPDATE Id=69;
INSERT INTO `trk_timezones` VALUES (70,8,'(GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi','Asia/Hong_Kong',1) ON DUPLICATE KEY UPDATE Id=70;
INSERT INTO `trk_timezones` VALUES (71,8,'(GMT+08:00) Irkutsk, Ulaan Bataar','Asia/Irkutsk',1) ON DUPLICATE KEY UPDATE Id=71;
INSERT INTO `trk_timezones` VALUES (72,8,'(GMT+08:00) Perth','Australia/Perth',1) ON DUPLICATE KEY UPDATE Id=72;
INSERT INTO `trk_timezones` VALUES (73,8,'(GMT+08:45) Eucla','Australia/Eucla',1) ON DUPLICATE KEY UPDATE Id=73;
INSERT INTO `trk_timezones` VALUES (74,9,'(GMT+09:00) Osaka, Sapporo, Tokyo','Asia/Tokyo',1) ON DUPLICATE KEY UPDATE Id=74;
INSERT INTO `trk_timezones` VALUES (75,9,'(GMT+09:00) Seoul','Asia/Seoul',1) ON DUPLICATE KEY UPDATE Id=75;
INSERT INTO `trk_timezones` VALUES (76,9,'(GMT+09:00) Yakutsk','Asia/Yakutsk',1) ON DUPLICATE KEY UPDATE Id=76;
INSERT INTO `trk_timezones` VALUES (77,9,'(GMT+09:30) Adelaide','Australia/Adelaide',1) ON DUPLICATE KEY UPDATE Id=77;
INSERT INTO `trk_timezones` VALUES (78,9,'(GMT+09:30) Darwin','Australia/Darwin',1) ON DUPLICATE KEY UPDATE Id=78;
INSERT INTO `trk_timezones` VALUES (79,10,'(GMT+10:00) Brisbane','Australia/Brisbane',1) ON DUPLICATE KEY UPDATE Id=79;
INSERT INTO `trk_timezones` VALUES (80,10,'(GMT+10:00) Hobart','Australia/Hobart',1) ON DUPLICATE KEY UPDATE Id=80;
INSERT INTO `trk_timezones` VALUES (81,10,'(GMT+10:00) Vladivostok','Asia/Vladivostok',1) ON DUPLICATE KEY UPDATE Id=81;
INSERT INTO `trk_timezones` VALUES (82,10,'(GMT+10:30) Lord Howe Island','Australia/Lord_Howe',1) ON DUPLICATE KEY UPDATE Id=82;
INSERT INTO `trk_timezones` VALUES (83,11,'(GMT+11:00) Solomon Is., New Caledonia','Etc/GMT-11',1) ON DUPLICATE KEY UPDATE Id=83;
INSERT INTO `trk_timezones` VALUES (84,11,'(GMT+11:00) Magadan','Asia/Magadan',1) ON DUPLICATE KEY UPDATE Id=84;
INSERT INTO `trk_timezones` VALUES (85,11,'(GMT+11:30) Norfolk Island','Pacific/Norfolk',1) ON DUPLICATE KEY UPDATE Id=85;
INSERT INTO `trk_timezones` VALUES (86,12,'(GMT+12:00) Anadyr, Kamchatka','Asia/Anadyr',1) ON DUPLICATE KEY UPDATE Id=86;
INSERT INTO `trk_timezones` VALUES (87,12,'(GMT+12:00) Auckland, Wellington','Pacific/Auckland',1) ON DUPLICATE KEY UPDATE Id=87;
INSERT INTO `trk_timezones` VALUES (88,12,'(GMT+12:00) Fiji, Kamchatka, Marshall Is.','Etc/GMT-12',1) ON DUPLICATE KEY UPDATE Id=88;
INSERT INTO `trk_timezones` VALUES (89,12,'(GMT+12:45) Chatham Islands','Pacific/Chatham',1) ON DUPLICATE KEY UPDATE Id=89;
INSERT INTO `trk_timezones` VALUES (90,13,'(GMT+13:00) Nuku\'alofa','Pacific/Tongatapu',1) ON DUPLICATE KEY UPDATE Id=90;
INSERT INTO `trk_timezones` VALUES (91,14,'(GMT+14:00) Kiritimati','Pacific/Kiritimati',1) ON DUPLICATE KEY UPDATE Id=91;

--
-- Table structure for table `trk_workweek`
--

CREATE TABLE IF NOT EXISTS `trk_workweek` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `WorkWeek` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_workweek`
--
INSERT INTO `trk_workweek` VALUES (1,'Sunday to Saturday',1) ON DUPLICATE KEY UPDATE Id=1;
INSERT INTO `trk_workweek` VALUES (2,'Monday to Sunday',1) ON DUPLICATE KEY UPDATE Id=2;
INSERT INTO `trk_workweek` VALUES (3,'Tuesday to Monday',1) ON DUPLICATE KEY UPDATE Id=3;
INSERT INTO `trk_workweek` VALUES (4,'Wednesdays to tuesday',1) ON DUPLICATE KEY UPDATE Id=4;
INSERT INTO `trk_workweek` VALUES (5,'Thurday to Wednesday',1) ON DUPLICATE KEY UPDATE Id=5;
INSERT INTO `trk_workweek` VALUES (6,'Friday to Thursday',1) ON DUPLICATE KEY UPDATE Id=6;
INSERT INTO `trk_workweek` VALUES (7,'Saturday to Friday',1) ON DUPLICATE KEY UPDATE Id=7;
INSERT INTO `trk_workweek` VALUES (8,'Monday, Wednesday, Friday',1) ON DUPLICATE KEY UPDATE Id=8;
INSERT INTO `trk_workweek` VALUES (9,'Tuesday, Thursday, Saturday',1) ON DUPLICATE KEY UPDATE Id=9;
INSERT INTO `trk_workweek` VALUES (10,'Monday to Friday',1) ON DUPLICATE KEY UPDATE Id=10;

--
-- Table structure for table `trk_users`
--

CREATE TABLE IF NOT EXISTS `trk_users` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `FullName` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Email` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Password` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `BirthDay` date DEFAULT NULL,
  `StrRandom` char(8) COLLATE utf8_unicode_ci DEFAULT NULL,
  `StrActive` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `StartDate` date DEFAULT NULL,
  `EndDate` date DEFAULT NULL,
  `Supervisor` int(11) NOT NULL DEFAULT '0',
  `EmployeeType` int(11) NOT NULL DEFAULT '0',
  `GroupId` int(11) NOT NULL DEFAULT '0',
  `TimeZone` int(11) NOT NULL DEFAULT '0',
  `WorkWeek` int(11) NOT NULL DEFAULT '0',
  `CalendarId` int(11) NOT NULL DEFAULT '0',
  `ScheduleId` int(11) NOT NULL DEFAULT '0',
  `BookingDeleted` tinyint(1) NOT NULL DEFAULT '0',
  `BookingApproved` tinyint(1) NOT NULL DEFAULT '0',
  `BookingRejected` tinyint(1) NOT NULL DEFAULT '0',
  `BookingModified` tinyint(1) NOT NULL DEFAULT '0',
  `IsActive` tinyint(1) NOT NULL DEFAULT '0',
  `AddedDate` datetime DEFAULT NULL,
  `LastLogon` datetime DEFAULT NULL,
  `LastUpdated` datetime DEFAULT NULL,
  `GenderId` int(11) NOT NULL DEFAULT '0',
  `BookingNew` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_users`
--

--
-- Table structure for table `trk_book_time_off`
--

CREATE TABLE IF NOT EXISTS `trk_book_time_off` (
  `Id` int(11) NOT NULL AUTO_INCREMENT,
  `UserId` int(11) NOT NULL DEFAULT '0',
  `Type` int(11) NOT NULL DEFAULT '0',
  `StartDate` date DEFAULT NULL,
  `EndDate` date DEFAULT NULL,
  `StartType` int(11) NOT NULL DEFAULT '0',
  `StartHours` float(3,2) NOT NULL DEFAULT '0.00',
  `StartTime` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `EndType` int(11) NOT NULL DEFAULT '0',
  `EndHours` float(3,2) NOT NULL DEFAULT '0.00',
  `EndTime` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `AdditionDetails` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `Status` int(11) NOT NULL DEFAULT '1',
  `CreatedDate` datetime DEFAULT NULL,
  `LastUpdate` datetime DEFAULT NULL,
  `StrApprove` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`Id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
--
-- Dumping data for table `trk_book_time_off`
--